コンテンツへスキップ

Sensenova U1 Infographic

統合

モデルID sensenova-u1-infographic
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/sensenova-u1-infographic?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

このリクエスト: $0.05 50 APIクレジット このページで実行

APIキーを取得

インフォグラフィック向けに調整されたテキスト画像生成。9種類のアスペクト比と生成前の任意の推論に対応

SenseTime · 画像

最初の結果がここに表示されます

以下でリクエストを作成し、APIキーで実行してください。出力はストレージにコピーされ、永久保存または無料で7日保存されます。

リクエストを作成

コントロールはモデルスキーマから生成されます。値を変更するとコードと価格が更新されます。

•必須

生成したいインフォグラフィックの説明。最良の結果を得るには、具体的なタイポグラフィ、可視化するデータ、セクション構成、レイアウト、カラーパレットを含めてください。

aspect_ratio デフォルト 16:9

画像の比率。ポスターやプレゼンテーション向けの多くのインフォグラフィックデザインとの互換性のため、デフォルトは16:9です。トレーニングで使用された解像度バケットに対応する比率のみサポートされます。

詳細設定 output_format · num_inference_steps · guidance_scale · timestep_shift · seed · enable_safety_checker
output_format デフォルト jpeg

結果の画像のファイル形式。

デフォルト 50

フローマッチングのノイズ除去ステップ数。

デフォルト 4

classifier-free guidanceのスケール。増やすと出力がプロンプトにより忠実になります。

デフォルト 3

このタイムステップシフト係数を増やすと、フローマッチングサンプリングでより早いタイムステップが優先されます。

再現可能な画像のシード。モデルのバージョンが同じであれば、同一のプロンプトとシードで同一の画像が生成されます。

POST /run/sensenova-u1-infographic?wait=20 見積もり → $0.05
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/sensenova-u1-infographic?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

このリクエストを実行

キーはこのブラウザ内に保持されます。Doitong APIにのみ送信され、「記憶する」にチェックを入れた場合のみlocalStorageに保存されます。 APIキーを取得

Sensenova U1 Infographicについて

レイアウト、セクション、配色、タイポグラフィ、データを詳しく説明するプロンプトから、インフォグラフィック風の画像を生成します。アスペクト比は9種類のプリセットから選択し、デフォルトは 16:9 です。サンプリング設定には `num_inference_steps`(10から100)、`guidance_scale`(1から10)、`timestep_shift` が含まれます。`use_thinking` を有効にすると、先に推論パスを実行してそのトレースを返します。

パラメータ

名前型 デフォルト許可される値 説明
prompt必須
型string
生成したいインフォグラフィックの説明。最良の結果を得るには、具体的なタイポグラフィ、可視化するデータ、セクション構成、レイアウト、カラーパレットを含めてください。
aspect_ratio任意
型enum
デフォルト16:9
1:116:99:163:22:34:33:41:22:1
画像の比率。ポスターやプレゼンテーション向けの多くのインフォグラフィックデザインとの互換性のため、デフォルトは16:9です。トレーニングで使用された解像度バケットに対応する比率のみサポートされます。
num_inference_steps任意
型integer
デフォルト50
10 – 100
フローマッチングのノイズ除去ステップ数。
guidance_scale任意
型number
デフォルト4
1 – 10
classifier-free guidanceのスケール。増やすと出力がプロンプトにより忠実になります。
timestep_shift任意
型number
デフォルト3
1 – 8
このタイムステップシフト係数を増やすと、フローマッチングサンプリングでより早いタイムステップが優先されます。
use_thinking任意
型boolean
デフォルトfalse
画像生成前にchain-of-thoughtを実行するかどうか。Trueで有効になります。
seed任意
型integer | null
再現可能な画像のシード。モデルのバージョンが同じであれば、同一のプロンプトとシードで同一の画像が生成されます。
enable_safety_checker任意
型boolean
デフォルトtrue
安全性チェッカーの有効化。true でチェックを有効にします。
output_format任意
型enum
デフォルトjpeg
jpegpng
結果の画像のファイル形式。
必須

出力

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "sensenova-u1-infographic",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 50,
    "usd": "0.05",
    "charged": 50,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  },
  "output": {
    "images": [
      {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "width": 1024,
        "height": 768,
        "content_type": "image/jpeg"
      }
    ],
    "seed": 42,
    "has_nsfw_concepts": [
      false
    ],
    "prompt": "string",
    "thinking": "string",
    "timings": {}
  },
  "outputs": [
    {
      "type": "image",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
ファイルの保存期間を選択すべてのoutputs[].urlはストレージ上のコピーです。アカウント設定または?storage=により、永久保存(GB・月単位で有料)または無料で7日保存できます。
すべてのモデルで同じ形式画像、動画、音声のいずれでも、type、url、content_type、width、height、durationが含まれます。outputはモデル独自の結果オブジェクトです。
出力フィールド
images
array of object {url, width, height, content_type}生成された画像または画像群。
seed
integer生成中に使用されたシード値。
has_nsfw_concepts
array of boolean生成画像に NSFW 概念が含まれるかどうかを示します。
prompt
string生成を誘導するプロンプト。
thinking
string | null`use_thinking` を True に設定した場合に使用できるchain-of-thought生成の推論トレース。無効にすると代わりに `null` が返されます。
timings
object各ステージにかかった時間(秒)。

AIエージェント向け:このページのMarkdown版はこちらです: https://doitong.com/ja/developers/models/sensenova-u1-infographic.md. すべてのモデルとガイド: https://doitong.com/developers/llms.txt